CREATE TABLE cst_operation_txns_i_gt (
    OPERATION_TRANSACTION_ID          NUMBER(18, 0)     NOT NULL,
    OP_YIELD_FACTOR                   NUMBER        ,
    COST_ORG_ID                       NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                      NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORGANIZATION_ID         NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    ITEM_COST_PROFILE_ID              NUMBER(18, 0) ,
    COST_PROFILE_ID                   NUMBER(18, 0) ,
    COST_TRANSACTION_TYPE             VARCHAR2(120)     NOT NULL,
    BASE_TXN_TYPE_ID                  NUMBER(18, 0)     NOT NULL,
    BASE_TXN_SOURCE_TYPE_ID           NUMBER(18, 0)     NOT NULL,
    BASE_TXN_ACTION_ID                NUMBER(18, 0)     NOT NULL,
    TXN_SOURCE_DOC_TYPE               VARCHAR2(200) ,
    TXN_SOURCE_DOC_NUMBER             VARCHAR2(960) ,
    TXN_SOURCE_REF_DOC_TYPE           VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER         VARCHAR2(960) ,
    PRIMARY_QUANTITY                  NUMBER            NOT NULL,
    PRIMARY_UOM_CODE                  VARCHAR2(12)      NOT NULL,
    TRANSACTION_QUANTITY              NUMBER            NOT NULL,
    TRANSACTION_UOM_CODE              VARCHAR2(12)      NOT NULL,
    CST_WO_OPERATION_TXN_ID           NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_ID                 NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_OPERATION_ID       NUMBER(18, 0)     NOT NULL,
    OPERATION_SEQ_NUMBER              NUMBER            NOT NULL,
    RESEQUENCE_FLAG                   VARCHAR2(4)   ,
    EXECUTION_SEQUENCE                NUMBER        ,
    FROM_DISPATCH_STATE               VARCHAR2(120)     NOT NULL,
    TO_DISPATCH_STATE                 VARCHAR2(120)     NOT NULL,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    TRANSACTION_DATE                  TIMESTAMP(6)      NOT NULL,
    COST_DATE                         TIMESTAMP(6)  ,
    PERIOD_NAME                       VARCHAR2(60)  ,
    LE_TIMEZONE_CODE                  VARCHAR2(200) ,
    PROVISIONAL_COMPLETION_TYPE       VARCHAR2(120) ,
    OPERATION_SCRAP_COST_TYPE         VARCHAR2(120) ,
    OPERATION_SCRAP_VALUATION_TYPE    VARCHAR2(120) ,
    REASON_CODE                       VARCHAR2(120) ,
    WO_UPDATE_EVENT_TXN_ID            NUMBER(18, 0) ,
    PREPROCESSING_STATUS              VARCHAR2(120)     NOT NULL,
    POSTED_FLAG                       VARCHAR2(20)  ,
    ERROR_CODE                        VARCHAR2(120) ,
    COSTING_STATUS                    VARCHAR2(4)   ,
    ACCOUNTING_STATUS                 VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    COST_CUTOFF_DATE                  TIMESTAMP(6)  ,
    SERVER_TZ_COST_CUTOFF_DATE        TIMESTAMP(6)  ,
    PERIODIC_AVERAGE_FLAG             VARCHAR2(4)   ,
    OPERATION_TRANSACTION_ID          NUMBER(18, 0)     NOT NULL,
    OP_YIELD_FACTOR                   NUMBER        ,
    COST_ORG_ID                       NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                      NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORGANIZATION_ID         NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    ITEM_COST_PROFILE_ID              NUMBER(18, 0) ,
    COST_PROFILE_ID                   NUMBER(18, 0) ,
    COST_TRANSACTION_TYPE             VARCHAR2(120)     NOT NULL,
    BASE_TXN_TYPE_ID                  NUMBER(18, 0)     NOT NULL,
    BASE_TXN_SOURCE_TYPE_ID           NUMBER(18, 0)     NOT NULL,
    BASE_TXN_ACTION_ID                NUMBER(18, 0)     NOT NULL,
    TXN_SOURCE_DOC_TYPE               VARCHAR2(200) ,
    TXN_SOURCE_DOC_NUMBER             VARCHAR2(960) ,
    TXN_SOURCE_REF_DOC_TYPE           VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER         VARCHAR2(960) ,
    PRIMARY_QUANTITY                  NUMBER            NOT NULL,
    PRIMARY_UOM_CODE                  VARCHAR2(12)      NOT NULL,
    TRANSACTION_QUANTITY              NUMBER            NOT NULL,
    TRANSACTION_UOM_CODE              VARCHAR2(12)      NOT NULL,
    CST_WO_OPERATION_TXN_ID           NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_ID                 NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_OPERATION_ID       NUMBER(18, 0)     NOT NULL,
    OPERATION_SEQ_NUMBER              NUMBER            NOT NULL,
    RESEQUENCE_FLAG                   VARCHAR2(4)   ,
    EXECUTION_SEQUENCE                NUMBER        ,
    FROM_DISPATCH_STATE               VARCHAR2(120)     NOT NULL,
    TO_DISPATCH_STATE                 VARCHAR2(120)     NOT NULL,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    TRANSACTION_DATE                  TIMESTAMP(6)      NOT NULL,
    COST_DATE                         TIMESTAMP(6)  ,
    PERIOD_NAME                       VARCHAR2(60)  ,
    LE_TIMEZONE_CODE                  VARCHAR2(200) ,
    PROVISIONAL_COMPLETION_TYPE       VARCHAR2(120) ,
    OPERATION_SCRAP_COST_TYPE         VARCHAR2(120) ,
    OPERATION_SCRAP_VALUATION_TYPE    VARCHAR2(120) ,
    REASON_CODE                       VARCHAR2(120) ,
    WO_UPDATE_EVENT_TXN_ID            NUMBER(18, 0) ,
    PREPROCESSING_STATUS              VARCHAR2(120)     NOT NULL,
    POSTED_FLAG                       VARCHAR2(20)  ,
    ERROR_CODE                        VARCHAR2(120) ,
    COSTING_STATUS                    VARCHAR2(4)   ,
    ACCOUNTING_STATUS                 VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    COST_CUTOFF_DATE                  TIMESTAMP(6)  ,
    SERVER_TZ_COST_CUTOFF_DATE        TIMESTAMP(6)  ,
    PERIODIC_AVERAGE_FLAG             VARCHAR2(4)   
);
